Skip to content

The agents the platform registered

POST
/v1/platform/agents/list
curl --request POST \
--url https://api.trybage.com/v1/platform/agents/list \
--header 'Content-Type: application/json' \
--data '{ "client_assertion": "eyJhbGciOiJFZERTQSIsInR5cCI6ImNsaWVudC1hc3NlcnRpb24rand0In0..." }'
Media typeapplication/json
object
client_assertion
required

A one-time JWT signed with the agent’s private key (RFC 7523). See the description at the top.

string

The agents, newest first.

Media typeapplication/json
object
agents
Array<object>
object
client_id
required
string
name
required
string
operator
required
string
homepage
string | null
platform_id
required
string
test_mode
required
boolean
disabled
required
boolean
key_thumbprint
required
string
key_directory
required
string format: uri
created_at
required
integer

Example generated

{
"agents": [
{
"client_id": "example",
"name": "example",
"operator": "example",
"homepage": "example",
"platform_id": "example",
"test_mode": true,
"disabled": true,
"key_thumbprint": "example",
"key_directory": "https://example.com",
"created_at": 1
}
]
}